﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using DEMO.Languages;
using System.Diagnostics;

namespace DEMO.WinForm
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            comboBoxLanguages.DataSource = Language.GetLanguages();
        }

        private void btnApply_Click(object sender, EventArgs e)
        {
            ILanguage language = (ILanguage)comboBoxLanguages.SelectedValue;
            Language.Current = language;

            using (Form2 form = new Form2())
            {
                form.ShowDialog();
            }
        }

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            Process.Start("http://www.sailingease.com/ssr");
        }
    }
}
